#ifndef EFL_UI_BASE_IMPL_HH
#define EFL_UI_BASE_IMPL_HH

#include "efl_ui_base.eo.hh"

namespace efl { namespace ui { 
inline ::efl::eolian::return_traits<bool>::type Base::mirrored_get() const
{
   Eina_Bool __return_value =  ::efl_ui_mirrored_get(_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Base::mirrored_set( ::efl::eolian::in_traits<bool>::type rtl) const
{
    ::efl_ui_mirrored_set(_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(rtl));
}
inline ::efl::eolian::return_traits<bool>::type Base::mirrored_automatic_get() const
{
   Eina_Bool __return_value =  ::efl_ui_mirrored_automatic_get(_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Base::mirrored_automatic_set( ::efl::eolian::in_traits<bool>::type automatic) const
{
    ::efl_ui_mirrored_automatic_set(_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(automatic));
}
inline ::efl::eolian::return_traits< ::efl::eina::string_view>::type Base::language_get() const
{
   const char * __return_value =  ::efl_ui_language_get(_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::eina::string_view>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Base::language_set( ::efl::eolian::in_traits< ::efl::eina::string_view>::type language) const
{
    ::efl_ui_language_set(_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(language));
}
} } 
namespace eo_cxx {
namespace efl { namespace ui { 
inline ::efl::eolian::return_traits<bool>::type Base::mirrored_get() const
{
   Eina_Bool __return_value =  ::efl_ui_mirrored_get(_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Base::mirrored_set( ::efl::eolian::in_traits<bool>::type rtl) const
{
    ::efl_ui_mirrored_set(_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(rtl));
}
inline ::efl::eolian::return_traits<bool>::type Base::mirrored_automatic_get() const
{
   Eina_Bool __return_value =  ::efl_ui_mirrored_automatic_get(_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Base::mirrored_automatic_set( ::efl::eolian::in_traits<bool>::type automatic) const
{
    ::efl_ui_mirrored_automatic_set(_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(automatic));
}
inline ::efl::eolian::return_traits< ::efl::eina::string_view>::type Base::language_get() const
{
   const char * __return_value =  ::efl_ui_language_get(_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::eina::string_view>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Base::language_set( ::efl::eolian::in_traits< ::efl::eina::string_view>::type language) const
{
    ::efl_ui_language_set(_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(language));
}
inline efl::ui::Base::operator ::efl::ui::Base() const { return *static_cast< ::efl::ui::Base const*>(static_cast<void const*>(this)); }
inline efl::ui::Base::operator ::efl::ui::Base&() { return *static_cast< ::efl::ui::Base*>(static_cast<void*>(this)); }
inline efl::ui::Base::operator ::efl::ui::Base const&() const { return *static_cast< ::efl::ui::Base const*>(static_cast<void const*>(this)); }
} } }
#endif
